retrie-1.2.2: A powerful, easy-to-use codemodding tool for Haskell.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Retrie.Rewrites.Types

Synopsis

- typeSynonymsToRewrites :: [(FastString, Direction)] -> AnnotatedModule -> IO (UniqFM FastString [Rewrite (LHsType GhcPs)])
- mkTypeRewrite :: Direction -> (LocatedN RdrName, [LHsTyVarBndr () GhcPs], LHsType GhcPs) -> TransformT IO (Rewrite (LHsType GhcPs))

# Documentation

typeSynonymsToRewrites :: [(FastString, Direction)] -> AnnotatedModule -> IO (UniqFM FastString [Rewrite (LHsType GhcPs)]) #

mkTypeRewrite :: Direction -> (LocatedN RdrName, [LHsTyVarBndr () GhcPs], LHsType GhcPs) -> TransformT IO (Rewrite (LHsType GhcPs)) #

Compile a list of RULES into a list of rewrites.